window.Gleam.initSearch([{"doc":"wechat_dev_tools","title":"wechat_dev_tools","content":"# wechat_dev_tools\n\nDevelop wechat miniprograms in [gleam](https://gleam.run).\nIt uses [esbuild]() and [esbuild-plugin-less]() to build `*.json`, `*.wxml` and `.wxss` files\n\n```sh\n$ git clone https://github.com/kaiwu/wechat_dev_tools.git your-project\n$ cd your-project\n$ npm install\n$ gleam build\n```\n\n## Development\n\nUpdate `src/bundle.gleam` so that it includes each one of your page and component\n\n```gleam\npub fn pages() -&gt; List(#(String, Constructor)) {\n  [#(&quot;index&quot;, index.page)]\n}\n\npub fn components() -&gt; List(#(String, Constructor)) {\n  [#(&quot;basic&quot;, basic.component)]\n}\n```\n\nNpm scripts are provided for convenience\n\n```sh\n$ npm run purge\n$ npm run clean\n$ npm run build\n$ npm run watch\n```\n\nOne can use the excellent `watchexec` command to watch gleam file changes, such as\n\n```sh\n$ # a full continuous building process\n$ watchexec -e gleam gleam build\n$ npm run watch\n```\n","url":"index.html"},{"doc":"app/app","title":"app","content":"pub fn app() -&gt; JsObject\n\nSynonyms:\napp/app.app\napp/app app","url":"app/app.html#app"},{"doc":"app/app","title":"app/app","content":"","url":"app/app.html"},{"doc":"app/components/basic/basic","title":"component","content":"pub fn component() -&gt; JsObject\n\nSynonyms:\napp/components/basic/basic.component\napp/components/basic/basic component","url":"app/components/basic/basic.html#component"},{"doc":"app/components/basic/basic","title":"app/components/basic/basic","content":"","url":"app/components/basic/basic.html"},{"doc":"app/pages/index/index","title":"page","content":"pub fn page() -&gt; JsObject\n\nSynonyms:\napp/pages/index/index.page\napp/pages/index/index page","url":"app/pages/index/index.html#page"},{"doc":"app/pages/index/index","title":"app/pages/index/index","content":"","url":"app/pages/index/index.html"},{"doc":"bundle","title":"Constructor","content":"pub type Constructor =\n  fn() -&gt; JsObject\n\n\nSynonyms:\nbundle.Constructor\nbundle Constructor","url":"bundle.html#Constructor"},{"doc":"bundle","title":"app","content":"pub fn app() -&gt; Result(Nil, Nil)\n\nSynonyms:\nbundle.app\nbundle app","url":"bundle.html#app"},{"doc":"bundle","title":"component","content":"pub fn component(\n  ps: List(#(String, fn() -&gt; JsObject)),\n  p: String,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nbundle.component\nbundle component","url":"bundle.html#component"},{"doc":"bundle","title":"components","content":"pub fn components() -&gt; List(#(String, fn() -&gt; JsObject))\n\nSynonyms:\nbundle.components\nbundle components","url":"bundle.html#components"},{"doc":"bundle","title":"page","content":"pub fn page(\n  ps: List(#(String, fn() -&gt; JsObject)),\n  p: String,\n) -&gt; Result(Nil, Nil)\n\nSynonyms:\nbundle.page\nbundle page","url":"bundle.html#page"},{"doc":"bundle","title":"pages","content":"pub fn pages() -&gt; List(#(String, fn() -&gt; JsObject))\n\nSynonyms:\nbundle.pages\nbundle pages","url":"bundle.html#pages"},{"doc":"bundle","title":"bundle","content":"","url":"bundle.html"},{"doc":"build","title":"Asset","content":"pub type Asset {\n  Asset(src: String, dist: String, builder: Builder)\n}\n\nAsset(src: String, dist: String, builder: Builder)\n\n\nSynonyms:\nbuild.Asset\nbuild Asset","url":"build.html#Asset"},{"doc":"build","title":"Builder","content":"pub type Builder =\n  fn(String, String) -&gt; Promise(Result(Nil, String))\n\n\nSynonyms:\nbuild.Builder\nbuild Builder","url":"build.html#Builder"},{"doc":"build","title":"bundle_build","content":"pub fn bundle_build(\n  entry f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.bundle_build\nbuild bundle_build","url":"build.html#bundle_build"},{"doc":"build","title":"bundle_watch","content":"pub fn bundle_watch(\n  entry f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.bundle_watch\nbuild bundle_watch","url":"build.html#bundle_watch"},{"doc":"build","title":"copy_build","content":"pub fn copy_build(\n  json f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.copy_build\nbuild copy_build","url":"build.html#copy_build"},{"doc":"build","title":"copy_watch","content":"pub fn copy_watch(\n  json f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.copy_watch\nbuild copy_watch","url":"build.html#copy_watch"},{"doc":"build","title":"js_build","content":"pub fn js_build(\n  content c: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.js_build\nbuild js_build","url":"build.html#js_build"},{"doc":"build","title":"js_watch","content":"pub fn js_watch(\n  content c: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.js_watch\nbuild js_watch","url":"build.html#js_watch"},{"doc":"build","title":"less_build","content":"pub fn less_build(\n  less f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.less_build\nbuild less_build","url":"build.html#less_build"},{"doc":"build","title":"less_watch","content":"pub fn less_watch(\n  less f: String,\n  outfile o: String,\n) -&gt; Promise(Result(Nil, String))\n\nSynonyms:\nbuild.less_watch\nbuild less_watch","url":"build.html#less_watch"},{"doc":"build","title":"main","content":"pub fn main() -&gt; Promise(Result(Nil, Nil))\n\nSynonyms:\nbuild.main\nbuild main","url":"build.html#main"},{"doc":"build","title":"build","content":"","url":"build.html"}]);